Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## serp.util
Interface RefCollection

All Superinterfaces:
  Collection

All Known Implementing Classes:
  RefValueCollection

Deprecated. Replaced by the `ReferenceCollection`.

public interface RefCollection
extends Collection

Interface implemented by collections that support weak or soft references for their values.

Method Summary
`boolean` | `add(Object obj, boolean hard)` Deprecated. Add an object, with the option of adding it initially as a hard reference.
`boolean` | `addAll(Collection coll, boolean hard)` Deprecated. Add objects, with the option of adding them initially as hard references.
`boolean` | `makeHard(Object obj)` Deprecated. Harden the reference for the given value.
`boolean` | `makeReference(Object obj)` Deprecated. Soften the reference for the given value.

Methods inherited from interface java.util.Collection
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### add

    public boolean add(Object obj,
                       boolean hard)

  Deprecated.
  Add an object, with the option of adding it initially as a hard reference.

### addAll

    public boolean addAll(Collection coll,
                          boolean hard)

  Deprecated.
  Add objects, with the option of adding them initially as hard references.

### makeHard

    public boolean makeHard(Object obj)

  Deprecated.
  Harden the reference for the given value. This will ensure that the value is not garbage collected. Note that this is a mutator method and can result in `ConcurrentModificationException`s being thrown by any iterator in use while this method is called.
  Returns:
    true if the reference to the value is now hard; false if the value does not exist in the collection (or has already expired)

### makeReference

    public boolean makeReference(Object obj)

  Deprecated.
  Soften the reference for the given value. This will allow the value to be expired from the collection and garbage collected. This is the default for all new values added to the collection. Note that this is a mutator method and can result in `ConcurrentModificationException`s being thrown by any iterator in use while this method is called.
  Returns:
    true if the reference to the value is now soft; false if the value does not exist in the collection or cannot be maintained in a reference (as for nuill values)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.